using EVCB_OCPP.Packet.Features.Core;
using EVCB_OCPP.Packet.Messages.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.Core
{
    public class RemoteStartTransactionFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.RemoteStartTransaction.ToString();

        }

        public override Type GetConfirmationType()
        {
            return typeof(RemoteStartTransactionConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(RemoteStartTransactionRequest);
        }
    }
}
